Skip to content
Download Beeper

Authentication

Authentication methods for Beeper Desktop API

Beeper Desktop API requires an access token for all endpoints.

  1. Make sure Beeper Desktop API is enabled and running
  2. Open SettingsDevelopers in Beeper Desktop
  3. Click the ”+” button next to “Approved connections”
  4. Follow the instructions to create your token

All requests to Beeper Desktop API, including requests to the MCP endpoints (/v0/mcp, /v0/sse), support the Authorization header with the Bearer token for authentication.

When used with the MCP server, MCP authentication is bypassed and the token is used directly.

Authorization: Bearer <your_token>
  • GET /v1/info returns metadata about the active Desktop API server and exposes endpoint URLs for discovery.

OAuth token introspection is available via POST /oauth/introspect and accepts form-encoded payloads:

Content-Type: application/x-www-form-urlencoded
token=<your_token>&token_type_hint=access_token

The endpoint returns active: true with token metadata (when active), or active: false for inactive/invalid tokens.